#rollist
{
    width: 50%;
    height: 100%;
    display: inline-block;
    text-align: left;
    outline: none;
}

#rollist::before
{
    position: absolute;
    top: 50%;
    left: 0;
    transform: rotate(270deg) translateX(-50%) translateY(-1.5em);
    transform-origin: left top;
    display: inline-block;
    z-index: 999;
    zoom: 0.75;
    color: gray;
    letter-spacing: 2px;
}

#rollist.notes::before
{
    content: "What's new";
}

#rollist.features::before
{
    content: "Features";
}

.host-preview-control:has(#rollist)
{
    position: relative;
    /*outline: 1px solid;*/
}

#rollist, .host-preview-control:has(#rollist) img.preview-control
{
    position: absolute;
    transform: initial;
}

.exrolitem
{
    FONT-FAMILY: Segoe UI, Verdana, Tahoma, Arial, Sans-Serif;
    FONT-WEIGHT: normal;
    FONT-SIZE: 13px;
    cursor: pointer;
    border-left: 4px solid black;
    background-color: white;
    border-radius: 4px;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    padding: 4px 2px 4px 6px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    outline: 1px solid lightgray;
    margin: 0.5em 0;
    user-select: none;
    max-height: calc(6em + 13px);
    box-sizing: content-box!important;
}

.exrolitem line
{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    display: inline-block;
}

.exrolitem.selected
{
    background-color: #F0F0F0;
    outline: 1px solid gray;
    box-shadow: 8px 8px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.2);
}

.exrolitem:not(.selected)
{
    border-left-color: transparent;
}

.exrolitem.selected version, line:has(.rnotes-new)
{
    font-weight: bold;
}

.exrollist li
{
    display: inline-block;
    line-height: 1.25em;
}

.exrollist li::before
{
    content: "\25CF";
    margin-right: 6px;
    display: inline-block;
    position: relative;
    top: -1px;
}

.exrolfilter
{
    border: 1px solid lightgray;
    border-radius: 0.5em;
    padding: 4px 6px 6px 10px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
    background-color: white;
}

.exrolfilter input
{
    border: none;
}

.exrolfilter label::after
{
    content: "Filter for: ";
    color: gray;
}

position
{
    position: absolute;
    bottom: 4px;
    right: 4px;
    font: bold 24px Arial;
    -webkit-text-fill-color: white;
    -webkit-text-stroke: 1px;
}